mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Flags System.Obsolete

For additional information about TYPEFLAGS, see the MSDN Library.

Use instead.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TYPEFLAGS To be added

  The class supports aggregation.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TYPEFLAGS To be added

  A type description that describes an Application object.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TYPEFLAGS To be added

  Instances of the type can be created by ITypeInfo::CreateInstance.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TYPEFLAGS To be added

  The type is a control from which other types will be derived, and should not be displayed to users.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TYPEFLAGS To be added

  Indicates that the interface derives from IDispatch, either directly or indirectly. This flag is computed, there is no Object Description Language for the flag.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TYPEFLAGS To be added

  The interface supplies both IDispatch and VTBL binding.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TYPEFLAGS To be added

  The type should not be displayed to browsers.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TYPEFLAGS To be added

  The type is licensed.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TYPEFLAGS To be added

  The interface cannot add members at run time.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TYPEFLAGS To be added

  The types used in the interface are fully compatible with Automation, including VTBL binding support. Setting dual on an interface sets this flag in addition to . Not allowed on dispinterfaces.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TYPEFLAGS To be added

  The type is predefined. The client application should automatically create a single instance of the object that has this attribute. The name of the variable that points to the object is the same as the class name of the object.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TYPEFLAGS To be added

  Indicates that the interface will be using a proxy/stub dynamic link library. This flag specifies that the type library proxy should not be unregistered when the type library is unregistered.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TYPEFLAGS To be added

  The object supports IConnectionPointWithDefault, and has default behaviors.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TYPEFLAGS To be added

  Should not be accessible from macro languages. This flag is intended for system-level types or types that type browsers should not display.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.TYPEFLAGS To be added

  Indicates base interfaces should be checked for name resolution before checking children, the reverse of the default behavior.